Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text
Interface FontProvider

All Known Implementing Classes:
  FontFactoryImp

    public interface FontProvider

These two methods are used by FactoryProperties (for HTMLWorker). It's implemented by FontFactoryImp.

Since:
  iText 5.0

Method Summary
`Font` | `getFont(String fontname, String encoding, boolean embedded, float size, int style, Color color)` Constructs a `Font`-object.
`boolean` | `isRegistered(String fontname)` Checks if a certain font is registered.

Method Detail

### isRegistered

    boolean isRegistered(String fontname)

  Checks if a certain font is registered.

  Parameters:
    `fontname` - the name of the font that has to be checked.
  Returns:
    true if the font is found

### getFont

    Font getFont(String fontname,
                 String encoding,
                 boolean embedded,
                 float size,
                 int style,
                 Color color)

  Constructs a `Font`-object.

  Parameters:
    `fontname` - the name of the font
    `encoding` - the encoding of the font
    `embedded` - true if the font is to be embedded in the PDF
    `size` - the size of this font
    `style` - the style of this font
    `color` - the `Color` of this font.
  Returns:
    the Font constructed based on the parameters

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD